### Signal

# Gio DBusProxy::g-properties-changed

since: 2.26

#### Declaration

    void
    g_properties_changed (
      GDBusProxy* self,
      GVariant* changed_properties,
      char** invalidated_properties,
      gpointer user_data
    )

#### Description

Emitted when one or more D-Bus properties on `proxy` changes. The local cache has already been updated when this signal fires. Note that both `changed_properties` and `invalidated_properties` are guaranteed to never be `NULL` (either may be empty though).

If the proxy has the flag `G_DBUS_PROXY_FLAGS_GET_INVALIDATED_PROPERTIES` set, then `invalidated_properties` will always be empty.

This signal corresponds to the `PropertiesChanged` D-Bus signal on the `org.freedesktop.DBus.Properties` interface.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.26

#### Parameters

`changed_properties`

  Type: `GVariant`

  A `GVariant` containing the properties that changed (type: `a{sv}`).

  The data is owned by the caller of the function.

`invalidated_properties`

  Type: An array of `utf8`

  A `NULL` terminated array of properties that was invalidated.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.